> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Use payment for all

POST https://restapi.ordergroove.com/payments/{payment_id}/use_for_all/

Associates provided payment to all orders and subscriptions of a customer.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/payments/use-payment-for-all

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /payments/{payment_id}/use_for_all/:
    post:
      operationId: use-payment-for-all
      summary: Use payment for all
      description: >-
        Associates provided payment to all orders and subscriptions of a
        customer.
      tags:
        - payments
      parameters:
        - name: payment_id
          in: path
          description: Unique Payment Id
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payments_use-payment-for-all_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Use-payment-for-allRequestBadRequestError'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Use-payment-for-allRequestForbiddenError'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Use-payment-for-allRequestNotFoundError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    Payments_use-payment-for-all_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Payments_use-payment-for-all_Response_200
    Use-payment-for-allRequestBadRequestError:
      type: object
      properties:
        '[field_name]':
          type: string
      title: Use-payment-for-allRequestBadRequestError
    Use-payment-for-allRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Use-payment-for-allRequestForbiddenError
    Use-payment-for-allRequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Use-payment-for-allRequestNotFoundError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
""
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/payments/payment_id/use_for_all/"

headers = {"x-api-key": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/payments/payment_id/use_for_all/';
const options = {method: 'POST', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/payments/payment_id/use_for_all/"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/payments/payment_id/use_for_all/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/payments/payment_id/use_for_all/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/payments/payment_id/use_for_all/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/payments/payment_id/use_for_all/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/payments/payment_id/use_for_all/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```